<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <Button
        android:id="@+id/button_copy"
        android:layout_width="208dp"
        android:layout_height="84dp"
        android:layout_marginEnd="100dp"
        android:layout_marginStart="100dp"
        android:layout_marginTop="32dp"
        android:onClick="copypw"
        android:text="复制密码"
        android:textSize="10pt"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/editText_pw" />

    <TextView
        android:id="@+id/textView_pw"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginTop="52dp"
        android:text="密码："
        android:textSize="11pt"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView_date" />

    <EditText
        android:id="@+id/editText_pw"
        android:layout_width="169dp"
        android:layout_height="70dp"
        android:layout_marginTop="20dp"
        android:ems="10"
        android:inputType="textPersonName"
        android:textSize="12pt"
        app:layout_constraintStart_toEndOf="@+id/textView_pw"
        app:layout_constraintTop_toBottomOf="@+id/editText_date" />

    <Button
        android:id="@+id/button_reset"
        android:layout_width="91dp"
        android:layout_height="61dp"
        android:layout_marginStart="0dp"
        android:layout_marginTop="56dp"
        android:onClick="resetdata"
        android:text="重置"
        android:textSize="9pt"
        app:layout_constraintStart_toEndOf="@+id/editText_date"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/textView_date"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="24dp"
        android:layout_marginTop="70dp"
        android:text="日期："
        android:textSize="11pt"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/editText_date"
        android:layout_width="160dp"
        android:layout_height="62dp"
        android:layout_marginTop="56dp"
        android:ems="10"
        android:inputType="date"
        android:maxLength="8"
        android:textSize="12pt"
        app:layout_constraintStart_toEndOf="@+id/textView_date"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>